Get Pending Actions
curl --request GET \
--url https://toncenter.com/api/v3/pendingActionsimport requests
url = "https://toncenter.com/api/v3/pendingActions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://toncenter.com/api/v3/pendingActions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actions": [
{
"accounts": [
"<string>"
],
"action_id": "<string>",
"details": "<unknown>",
"end_lt": "0",
"end_utime": 123,
"start_lt": "0",
"start_utime": 123,
"success": true,
"trace_end_lt": "0",
"trace_end_utime": 123,
"trace_external_hash": "<string>",
"trace_external_hash_norm": "<string>",
"trace_id": "<string>",
"trace_mc_seqno_end": 123,
"transactions": [
"<string>"
],
"type": "<string>"
}
],
"address_book": {},
"metadata": {}
}{
"code": 123,
"error": "<string>"
}Actions
Get Pending Actions
Get actions by specified filter.
GET
/
api
/
v3
/
pendingActions
Get Pending Actions
Query Parameters
List of account addresses to get actions. Can be sent in hex, base64 or base64url form.
Find actions by trace external hash
Supported action types
⌘I

